MavenPublishPlugin (Gradle API 2.14.1)

Package: org.gradle.api.publish.maven.plugins

## [Java] Class MavenPublishPlugin

- org.gradle.api.publish.maven.plugins.MavenPublishPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class MavenPublishPlugin
      extends Object

  Adds the ability to publish in the Maven format to Maven repositories.

  Since:
    1.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `PUBLISH_LOCAL_LIFECYCLE_TASK_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description

    `MavenPublishPlugin (org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver, org.gradle.api.internal.file.FileCollectionFactory fileCollectionFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String PUBLISH_LOCAL_LIFECYCLE_TASK_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject public MavenPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver, org.gradle.api.internal.file.FileCollectionFactory fileCollectionFactory)

  - ### Method Detail

    - #### public void apply(Project project)